Skip to main content
GET
/
broadcasts
/
{broadcast_id}
/
messages
List messages
curl --request GET \
  --url https://api.getvero.com/api/v2/broadcasts/{broadcast_id}/messages \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.getvero.com/api/v2/broadcasts/{broadcast_id}/messages"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.getvero.com/api/v2/broadcasts/{broadcast_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 100,
    "broadcast_id": 42,
    "position": 1,
    "name": "Control",
    "active": true,
    "from": "hello@acme.com",
    "reply_to": null,
    "created_at": "2026-03-01T10:00:00Z",
    "updated_at": "2026-03-01T10:00:00Z"
  }
]
{
"error": "not_found"
}

Authorizations

Authorization
string
header
required

Accepts either a raw API key or Bearer <key>.

Headers

revision
string

Optional dated API revision for the request. Must use YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-03-01"

Path Parameters

broadcast_id
integer
required

Broadcast ID.

Response

Broadcast messages returned.

id
integer
required
broadcast_id
integer
required
position
integer
required
name
string | null
required

Server-generated message name, for example Control or Variation A.

active
boolean
required
from
string | null
required

Sender email address (email messages only).

reply_to
string | null
required

Reply-to email address (email messages only).

created_at
string<date-time>
required
updated_at
string<date-time>
required